VariableMapperImpl (Apache Tomcat 10.1.2 API Documentation)

Package org.apache.el.lang

## Class VariableMapperImpl

- java.lang.Object
- - jakarta.el.VariableMapper
  - - org.apache.el.lang.VariableMapperImpl

- All Implemented Interfaces:
    `Externalizable`, `Serializable`

      public class VariableMapperImpl
      extends VariableMapper
      implements Externalizable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VariableMapperImpl()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `readExternal​(ObjectInput in)` |
    `ValueExpression` | `resolveVariable​(String variable)` |
    `ValueExpression` | `setVariable​(String variable, ValueExpression expression)` |
    `void` | `writeExternal​(ObjectOutput out)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VariableMapperImpl

          public VariableMapperImpl()

  - ### Method Detail

    - #### resolveVariable

          public ValueExpression resolveVariable​(String variable)

      Specified by:
        `resolveVariable` in class `VariableMapper`

    - #### setVariable

          public ValueExpression setVariable​(String variable,
                                             ValueExpression expression)

      Specified by:
        `setVariable` in class `VariableMapper`

    - #### readExternal

          public void readExternal​(ObjectInput in)
                            throws IOException,
                                   ClassNotFoundException

      Specified by:
        `readExternal` in interface `Externalizable`
      Throws:
        `IOException`
        `ClassNotFoundException`

    - #### writeExternal

          public void writeExternal​(ObjectOutput out)
                             throws IOException

      Specified by:
        `writeExternal` in interface `Externalizable`
      Throws:
        `IOException`